r912 - /scripts/grep-platforms
fst at users.alioth.debian.org
fst at users.alioth.debian.org
Sat May 31 11:45:45 UTC 2008
Author: fst
Date: Sat May 31 11:45:45 2008
New Revision: 912
URL: http://svn.debian.org/wsvn/pkg-boinc/?sc=1&rev=912
Log:
added grep-platforms script
Added:
scripts/grep-platforms (with props)
Added: scripts/grep-platforms
URL: http://svn.debian.org/wsvn/pkg-boinc/scripts/grep-platforms?rev=912&op=file
==============================================================================
--- scripts/grep-platforms (added)
+++ scripts/grep-platforms Sat May 31 11:45:45 2008
@@ -1,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+TMP_DIR=`mktemp -d`
+cd $TMP_DIR
+
+getbuildlog boinc $1
+
+for LOG in `dir -1`; do
+ ARCH=`echo $LOG | cut -d'_' -f3 | cut -d'.' -f1`
+ PLATFORM=`grep -m 1 "checking boinc platform..." $LOG | cut -d' ' -f4`
+ ALTPLATF=`grep -m 1 "checking alternate boinc platform..." $LOG | \
+ cut -d' ' -f5`
+ if [ "$ALTPLATF" = "none" ]; then
+ ALTPLATF=""
+ fi
+
+ echo "|| $ARCH || $PLATFORM || $ALTPLATF ||"
+done
Propchange: scripts/grep-platforms
------------------------------------------------------------------------------
svn:executable = *
More information about the pkg-boinc-commits
mailing list